import request from '@/utils/request'

// 查询外呼黑名单列表
export function listVoiceRoboticCallBlacklist(query) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist/list',
        method: 'get',
        params: query
    })
}

// 查询外呼黑名单详情
export function getVoiceRoboticCallBlacklist(id) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist/' + id,
        method: 'get'
    })
}

// 新增外呼黑名单
export function addVoiceRoboticCallBlacklist(data) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist',
        method: 'post',
        data: data
    })
}

// 修改外呼黑名单
export function updateVoiceRoboticCallBlacklist(data) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist',
        method: 'put',
        data: data
    })
}

// 删除外呼黑名单
export function delVoiceRoboticCallBlacklist(id) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist/' + id,
        method: 'delete'
    })
}

// 修改状态
export function changeVoiceRoboticCallBlacklistStatus(data) {
    return request({
        url: '/company/companyVoiceRoboticCallBlacklist/changeStatus',
        method: 'put',
        data: data
    })
}
